K-TRIPS
K-TRIPS K-TRIPS K-TRIPS
K-TRIPS Security Upgrade
K-TRIPS has upgraded the security on its website.

K-TRIPS is now located at K-TRIPS.com
Please feel free to bookmark the new location.

Browser Requirements for Security Upgrade
To meet current security protocols, K-TRIPS underwent a security update on June 23, 2015 that may or may not affect your access to K-TRIPS. We have enabled Transport Layer Security (TLS). This update is being implemented to insure K-TRIPS meets security standards to protect the information you enter on the site. Users with browser settings that are not set at an equivalent security level will not be able to access the K-TRIPS system. The best way to make sure you are compliant is to have the most current version of your browser installed.

The internet browser settings and configurations we suggest in this article relate to access of K-TRIPS. The settings you choose in configuring your browser directly affect all of the internal and external browser-based applications you use. You should always check with your Network Administrator or your PC/IT team before you change any system setting or configuration. If you have questions or concerns about the browser settings please check with your Administrator or your PC/IT team and/or see Microsoft Security Advisory 3009008 for more detailed information about this security change.

K-TRIPS only connects with TLS enabled internet browsers. Take the following steps as appropriate for your browser to enable TLS:

Internet Explorer: How to Enable TLS Protocols
Although these instructions and screenshots are for Internet Explorer (IE) 10, they will work for other versions of IE.

  1. Open IE.
  2. In IE, click the Tools symbol (gear) and then, click Internet Options.


     
  3. In the Internet Options window on the Advanced tab, under Settings, scroll down to the Security section.


     
  4. In the Security section, locate the Use SSL and Use TLS options. Make sure Use TLS 1.0, 1.1, 1.2 are checked. You may want to uncheck SSL 2.0 & SSL 3.0. Please check with your Administrator or your PC/IT team.


     
  5. Next, click Apply and then, click OK.

Mozilla Firefox: How to Enable TLS 1.0 and higher Protocol
You will need to have Firefox version 34 or higher installed. Please check with your Administrator or your PC/IT team.

Google Chrome: How to Enable TLS 1.0 & higher Protocol
You will need to have Chrome version 40 or higher installed. Please check with your Administrator or your PC/IT team.